﻿using Hotline.Share.Enums.KnowledgeBase;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 
    /// </summary>
    ///  <param name="Status"></param>
    /// <param name="ApplyType"></param>
    /// <param name="IsOvertime">0：已超期；1：未超期</param>
    /// <param name="StartTime"></param>
    /// <param name="EndTime"></param>
    public record KnowledgeApplyPagedDto(EKnowledgeApplyStatus? Status, EKnowledgeApplyType? ApplyType, string? IsOvertime, DateTime? StartTime, DateTime? EndTime) : PagedRequest;

    /// <summary>
    /// 
    /// </summary>
    /// <param name="Status"></param>
    /// <param name="ApplyType"></param>
    /// <param name="IsOvertime">0：已超期；1：未超期</param>
    /// <param name="StartTime"></param>
    /// <param name="EndTime"></param>
    public record KnowledgeHandlePagedDto(EKnowledgeApplyStatus? Status, EKnowledgeApplyType? ApplyType, string? IsOvertime, DateTime? StartTime, DateTime? EndTime) : PagedKeywordRequest;

}
