﻿using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase
{
    /// <summary>
    /// 知识审批状态
    /// </summary>
    public enum EKnowledgeWorkFlowStatus
    {
        /// <summary>
        /// 审批中
        /// </summary>
        [Description("审批中")]
        Auditing = 1,

        /// <summary>
        /// 审批成功
        /// </summary>
        [Description("审批成功")]
        Success = 2,

        /// <summary>
        /// 撤销
        /// </summary>
        [Description("撤销")]
        Revoke = 3,

        /// <summary>
        /// 失败
        /// </summary>
        [Description("失败")]
        Failed = 4
    }
}
