﻿namespace Hotline.FlowEngine.Workflows;

/// <summary>
/// 节点会签状态
/// </summary>
public enum EStepCountersignStatus
{
    /// <summary>
    /// 无会签（未处于会签流程中，包括外层也无会签嵌套）
    /// </summary>
    None = 0,

    /// <summary>
    /// 会签中
    /// </summary>
    InCountersign = 1,

    /// <summary>
    /// 本身不处于会签流程中，但外层有会签流程嵌套
    /// </summary>
    OuterCountersign = 2,
}