﻿using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase;

/// <summary>
/// 申请状态
/// </summary>
public enum EKnowledgeApplyStatus
{
    /// <summary>
    /// 处理中
    /// </summary>
    [Description("处理中")]
    Handling = 0,

    /// <summary>
    /// 完成
    /// </summary>
    [Description("完成")]
    Succeed = 1,

    /// <summary>
    /// 退回
    /// </summary>
    [Description("退回")]
    Failed = 2,

    /// <summary>
    /// 撤回
    /// </summary>
    [Description("撤回")]
    Revert = 3,

    /// <summary>
    /// 逾期
    /// </summary>
    [Description("逾期")]
    Overtime = 4,
}